Skip to content

Generate/Send Customer Statement

Request

Generates and optionally sends a customer statement

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed

Bodyapplication/jsonrequired

The domain_name to use to for record lookup

business_unit_idsArray of strings, non-empty(Business Units)required
business_unit_restrictionstring(Business Unit Restriction)

Determines if/how to restrict the type of invoices to

Enum:"exclude""include""none"
contact_idstring(Contact)required
customer_typestring(Customer Type)required
Enum:"contact""organization"
email_addressstring(Email Address)

Email address to send statement, if is on file

email_statementboolean(Email Statement)required
invoice_type_restrictionstring(Invoice Type Restriction)
Enum:"exclude""include""none"
invoice_typesArray of strings(Invoice Types)
organization_idstring(Organization)required
override_statement_templatestring(Override Statement Template)

If set, a specific template is used

save_statement_on_customer_recordboolean(Save Statement On Customer Record)required
statement_template_idstring(Statement Template)

Template to use, if not the default

curl -i -X POST \
  'https://docs.api.rhythmsoftware.com/_mock/apis/collect/collect-v1/statements/{tenantId}/generate' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "business_unit_ids": [
      "string"
    ],
    "business_unit_restriction": "exclude",
    "contact_id": "string",
    "customer_type": "contact",
    "email_address": "string",
    "email_statement": true,
    "invoice_type_restriction": "exclude",
    "invoice_types": [
      "string"
    ],
    "organization_id": "string",
    "override_statement_template": "string",
    "save_statement_on_customer_record": true,
    "statement_template_id": "string"
  }'

Responses

The invoice was downloaded successfully

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
string
Response
"string"